Page 1 of 1

Question about Python version used in IDF

Posted: Fri Feb 28, 2020 1:27 pm
by Deouss
So I updated recently some repositories - actually ESP8266_RTOS_SDK which got very nice CMake support and runs awesome.
However I got many errors before I managed to update all required packages - errors were saying Python2.7 is end of life.
All packages loaded fine but I had to explicitly run Python2.7 for IDF.
Are you planning to use newest version of Python soon?

Thanks

Re: Question about Python version used in IDF

Posted: Fri Feb 28, 2020 7:54 pm
by ESP_krzychb
Deouss wrote:
Fri Feb 28, 2020 1:27 pm
All packages loaded fine but I had to explicitly run Python2.7 for IDF.
Are you planning to use newest version of Python soon?
Hi Deouss

You can switch to Python 3, it is already supported, ref. https://github.com/espressif/esp-idf/is ... -586862745

Re: Question about Python version used in IDF

Posted: Fri Feb 28, 2020 11:23 pm
by Deouss
Thanks Krzysiek!
I didn't even notice Python 3 works with idf already)
I was able to flash esp8285 with idf.py installed from esp32 toolchain using old Python 2.7